%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pyactivemq
Version:        0.1.0
Release:        2.20100214svn209%{?dist}
Summary:        Python wrapper around activemq-cpp for messaging

Group:          Development/Languages
License:        ASL 2.0
URL:            http://code.google.com/p/pyactivemq/
#SVN Snapshot Release:
# svn checkout http://pyactivemq.googlecode.com/svn/trunk/ pyactivemq-YYYYMMD
# tar cfz pyactivemq-YYYYMMD.tar.gz pyactivemq-YYYYMMD
Source0:        pyactivemq-20100214.tar.gz
# Allow setup.py to use activemq-cpp-config to file include paths etc.
# http://code.google.com/p/pyactivemq/issues/detail?id=30
Patch0:         pyactivemq-use-activemq-cpp-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  boost-devel
BuildRequires:  activemq-cpp-devel

%description
pyactivemq is a Python module for communicating with the 
message brokers which implement the Java Message Service 
specification or stomp.

%prep
%setup -q -n pyactivemq-20100214
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSE.txt
%{python_sitearch}/*

%changelog
* Sun Feb 14 2010 Steve Traylen <steve.traylen@cern.ch> - 0.1.0-2.20100214svn209
- Update to snapshot from SVN. Early support for activemq-cpp 3.1

* Tue Nov 17 2009 Steve Traylen <steve.traylen@cern.ch> - 0.1.0-1
First version of package.

